using KarleyLibrary.Attributes;
using KarleyLibrary.Erweiterungen;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WK5.Core.Models
{
    public class Artikeltyp : ICloneable
    {
        [CompareField("ARTY_N_NR")]
        public int Id { get; set; }
        [CompareField("ARTY_A_NAME")]
        public string Name { get; set; } = string.Empty;
        public List<ArtikelOption> Optionen { get; } = new List<ArtikelOption>();

        public object Clone()
        {
            return this.DeepCopy();
        }
    }
}
